Apache Commons logo

Dependency Convergence

Legend:
[Error] At least one dependency has a differing version of the dependency or has SNAPSHOT dependencies.

Statistics:
Number of dependencies (NOD): 55
Number of unique artifacts (NOA): 66
Number of version-conflicting artifacts (NOC): 6
Number of SNAPSHOT artifacts (NOS): 0
Convergence (NOD/NOA): [Error] 83 %
Ready for release (100% convergence and no SNAPSHOTS): [Error] Error
You do not have 100% convergence.

Dependencies used in this project

classworlds:classworlds

[Error]
1.1
    org.apache.commons:commons-build-plugin:maven-plugin:1.8-SNAPSHOT
    \- org.apache.maven:maven-script-ant:jar:2.2.1:compile
       \- org.apache.maven:maven-core:jar:2.2.1:compile
          \- (classworlds:classworlds:jar:1.1:compile - omitted for conflict with 1.1-alpha-2)

1.1-alpha-2
    org.apache.commons:commons-build-plugin:maven-plugin:1.8-SNAPSHOT
    \- org.apache.maven:maven-script-ant:jar:2.2.1:compile
       +- org.codehaus.plexus:plexus-ant-factory:jar:1.0-alpha-2.1:compile
       |  \- org.codehaus.plexus:plexus-utils:jar:1.0.5:compile
       |     \- (classworlds:classworlds:jar:1.1-alpha-2:compile - omitted for duplicate)
       +- org.codehaus.plexus:plexus-container-default:jar:1.0-alpha-9-stable-1:compile
       |  \- classworlds:classworlds:jar:1.1-alpha-2:compile
       \- org.apache.maven:maven-core:jar:2.2.1:compile
          \- org.codehaus.plexus:plexus-interactivity-api:jar:1.0-alpha-4:compile
             \- (classworlds:classworlds:jar:1.1-alpha-2:compile - omitted for duplicate)

org.codehaus.plexus:plexus-component-api

[Error]
1.0-alpha-15
    org.apache.commons:commons-build-plugin:maven-plugin:1.8-SNAPSHOT
    \- org.apache.maven:maven-script-ant:jar:2.2.1:compile
       \- org.codehaus.plexus:plexus-archiver:jar:1.0-alpha-11:compile
          \- org.codehaus.plexus:plexus-component-api:jar:1.0-alpha-15:compile

1.0-alpha-16
    org.apache.commons:commons-build-plugin:maven-plugin:1.8-SNAPSHOT
    \- org.apache.maven:maven-script-ant:jar:2.2.1:compile
       \- org.codehaus.plexus:plexus-archiver:jar:1.0-alpha-11:compile
          \- org.codehaus.plexus:plexus-io:jar:1.0-alpha-3:compile
             \- (org.codehaus.plexus:plexus-component-api:jar:1.0-alpha-16:compile - omitted for conflict with 1.0-alpha-15)

org.codehaus.plexus:plexus-container-default

[Error]
1.0-alpha-15
    org.apache.commons:commons-build-plugin:maven-plugin:1.8-SNAPSHOT
    \- org.apache.maven:maven-script-ant:jar:2.2.1:compile
       \- org.codehaus.plexus:plexus-archiver:jar:1.0-alpha-11:compile
          \- (org.codehaus.plexus:plexus-container-default:jar:1.0-alpha-15:compile - omitted for conflict with 1.0-alpha-9-stable-1)

1.0-alpha-30
    org.apache.commons:commons-build-plugin:maven-plugin:1.8-SNAPSHOT
    \- org.apache.maven:maven-script-ant:jar:2.2.1:compile
       \- org.apache.maven:maven-core:jar:2.2.1:compile
          \- org.apache.maven.reporting:maven-reporting-api:jar:2.2.1:compile
             \- org.apache.maven.doxia:doxia-logging-api:jar:1.1:compile
                \- (org.codehaus.plexus:plexus-container-default:jar:1.0-alpha-30:compile - omitted for conflict with 1.0-alpha-9-stable-1)

1.0-alpha-9-stable-1
    org.apache.commons:commons-build-plugin:maven-plugin:1.8-SNAPSHOT
    \- org.apache.maven:maven-script-ant:jar:2.2.1:compile
       +- org.codehaus.plexus:plexus-ant-factory:jar:1.0-alpha-2.1:compile
       |  \- (org.codehaus.plexus:plexus-container-default:jar:1.0-alpha-9-stable-1:compile - omitted for duplicate)
       +- org.codehaus.plexus:plexus-container-default:jar:1.0-alpha-9-stable-1:compile
       +- org.apache.maven:maven-project:jar:2.2.1:compile
       |  +- org.apache.maven:maven-settings:jar:2.2.1:compile
       |  |  \- (org.codehaus.plexus:plexus-container-default:jar:1.0-alpha-9-stable-1:compile - omitted for duplicate)
       |  +- org.apache.maven:maven-profile:jar:2.2.1:compile
       |  |  \- (org.codehaus.plexus:plexus-container-default:jar:1.0-alpha-9-stable-1:compile - omitted for duplicate)
       |  +- org.apache.maven:maven-artifact-manager:jar:2.2.1:compile
       |  |  \- (org.codehaus.plexus:plexus-container-default:jar:1.0-alpha-9-stable-1:compile - omitted for duplicate)
       |  +- org.apache.maven:maven-plugin-registry:jar:2.2.1:compile
       |  |  \- (org.codehaus.plexus:plexus-container-default:jar:1.0-alpha-9-stable-1:compile - omitted for duplicate)
       |  \- (org.codehaus.plexus:plexus-container-default:jar:1.0-alpha-9-stable-1:compile - omitted for duplicate)
       +- org.apache.maven:maven-plugin-descriptor:jar:2.2.1:compile
       |  \- (org.codehaus.plexus:plexus-container-default:jar:1.0-alpha-9-stable-1:compile - omitted for duplicate)
       \- org.apache.maven:maven-core:jar:2.2.1:compile
          +- org.apache.maven:maven-plugin-parameter-documenter:jar:2.2.1:compile
          |  \- (org.codehaus.plexus:plexus-container-default:jar:1.0-alpha-9-stable-1:compile - omitted for duplicate)
          +- (org.codehaus.plexus:plexus-container-default:jar:1.0-alpha-9-stable-1:compile - omitted for duplicate)
          \- org.apache.maven:maven-error-diagnostics:jar:2.2.1:compile
             \- (org.codehaus.plexus:plexus-container-default:jar:1.0-alpha-9-stable-1:compile - omitted for duplicate)

org.codehaus.plexus:plexus-interactivity-api

[Error]
1.0-alpha-4
    org.apache.commons:commons-build-plugin:maven-plugin:1.8-SNAPSHOT
    \- org.apache.maven:maven-script-ant:jar:2.2.1:compile
       \- org.apache.maven:maven-core:jar:2.2.1:compile
          \- org.codehaus.plexus:plexus-interactivity-api:jar:1.0-alpha-4:compile

1.0-alpha-6
    org.apache.commons:commons-build-plugin:maven-plugin:1.8-SNAPSHOT
    \- org.apache.maven:maven-script-ant:jar:2.2.1:compile
       \- org.apache.maven:maven-core:jar:2.2.1:compile
          \- org.apache.maven.wagon:wagon-ssh:jar:1.0-beta-6:compile
             \- org.apache.maven.wagon:wagon-ssh-common:jar:1.0-beta-6:compile
                \- (org.codehaus.plexus:plexus-interactivity-api:jar:1.0-alpha-6:compile - omitted for conflict with 1.0-alpha-4)

org.codehaus.plexus:plexus-utils

[Error]
1.0.4
    org.apache.commons:commons-build-plugin:maven-plugin:1.8-SNAPSHOT
    \- org.apache.maven:maven-script-ant:jar:2.2.1:compile
       \- org.codehaus.plexus:plexus-container-default:jar:1.0-alpha-9-stable-1:compile
          \- (org.codehaus.plexus:plexus-utils:jar:1.0.4:compile - omitted for conflict with 1.0.5)

1.0.5
    org.apache.commons:commons-build-plugin:maven-plugin:1.8-SNAPSHOT
    \- org.apache.maven:maven-script-ant:jar:2.2.1:compile
       \- org.codehaus.plexus:plexus-ant-factory:jar:1.0-alpha-2.1:compile
          \- org.codehaus.plexus:plexus-utils:jar:1.0.5:compile

1.4.2
    org.apache.commons:commons-build-plugin:maven-plugin:1.8-SNAPSHOT
    \- org.apache.maven:maven-script-ant:jar:2.2.1:compile
       \- org.apache.maven:maven-core:jar:2.2.1:compile
          +- org.apache.maven.wagon:wagon-provider-api:jar:1.0-beta-6:compile
          |  \- (org.codehaus.plexus:plexus-utils:jar:1.4.2:compile - omitted for conflict with 1.0.5)
          +- org.apache.maven.wagon:wagon-ssh-external:jar:1.0-beta-6:runtime
          |  \- (org.codehaus.plexus:plexus-utils:jar:1.4.2:runtime - omitted for conflict with 1.0.5)
          \- org.apache.maven.wagon:wagon-ssh:jar:1.0-beta-6:compile
             +- (org.codehaus.plexus:plexus-utils:jar:1.4.2:compile - omitted for conflict with 1.0.5)
             \- org.apache.maven.wagon:wagon-ssh-common:jar:1.0-beta-6:compile
                \- (org.codehaus.plexus:plexus-utils:jar:1.4.2:compile - omitted for conflict with 1.0.5)

1.5.1
    org.apache.commons:commons-build-plugin:maven-plugin:1.8-SNAPSHOT
    \- org.apache.maven:maven-script-ant:jar:2.2.1:compile
       \- org.codehaus.plexus:plexus-archiver:jar:1.0-alpha-11:compile
          \- (org.codehaus.plexus:plexus-utils:jar:1.5.1:compile - omitted for conflict with 1.0.5)

1.5.15
    org.apache.commons:commons-build-plugin:maven-plugin:1.8-SNAPSHOT
    \- org.apache.maven:maven-script-ant:jar:2.2.1:compile
       +- org.apache.maven:maven-project:jar:2.2.1:compile
       |  +- org.apache.maven:maven-settings:jar:2.2.1:compile
       |  |  \- (org.codehaus.plexus:plexus-utils:jar:1.5.15:compile - omitted for conflict with 1.0.5)
       |  +- org.apache.maven:maven-profile:jar:2.2.1:compile
       |  |  \- (org.codehaus.plexus:plexus-utils:jar:1.5.15:compile - omitted for conflict with 1.0.5)
       |  +- org.apache.maven:maven-model:jar:2.2.1:compile
       |  |  \- (org.codehaus.plexus:plexus-utils:jar:1.5.15:compile - omitted for conflict with 1.0.5)
       |  +- org.apache.maven:maven-artifact-manager:jar:2.2.1:compile
       |  |  \- (org.codehaus.plexus:plexus-utils:jar:1.5.15:compile - omitted for conflict with 1.0.5)
       |  +- org.apache.maven:maven-plugin-registry:jar:2.2.1:compile
       |  |  \- (org.codehaus.plexus:plexus-utils:jar:1.5.15:compile - omitted for conflict with 1.0.5)
       |  +- (org.codehaus.plexus:plexus-utils:jar:1.5.15:compile - omitted for conflict with 1.0.5)
       |  \- org.apache.maven:maven-artifact:jar:2.2.1:compile
       |     \- (org.codehaus.plexus:plexus-utils:jar:1.5.15:compile - omitted for conflict with 1.0.5)
       \- org.apache.maven:maven-core:jar:2.2.1:compile
          +- org.apache.maven:maven-plugin-parameter-documenter:jar:2.2.1:compile
          |  \- (org.codehaus.plexus:plexus-utils:jar:1.5.15:compile - omitted for conflict with 1.0.5)
          +- org.apache.maven:maven-repository-metadata:jar:2.2.1:compile
          |  \- (org.codehaus.plexus:plexus-utils:jar:1.5.15:compile - omitted for conflict with 1.0.5)
          \- (org.codehaus.plexus:plexus-utils:jar:1.5.15:compile - omitted for conflict with 1.0.5)

1.5.5
    org.apache.commons:commons-build-plugin:maven-plugin:1.8-SNAPSHOT
    \- org.apache.maven:maven-script-ant:jar:2.2.1:compile
       +- org.codehaus.plexus:plexus-archiver:jar:1.0-alpha-11:compile
       |  \- org.codehaus.plexus:plexus-io:jar:1.0-alpha-3:compile
       |     \- (org.codehaus.plexus:plexus-utils:jar:1.5.5:compile - omitted for conflict with 1.0.5)
       \- org.apache.maven:maven-core:jar:2.2.1:compile
          \- org.sonatype.plexus:plexus-sec-dispatcher:jar:1.3:compile
             \- (org.codehaus.plexus:plexus-utils:jar:1.5.5:compile - omitted for conflict with 1.0.5)

org.slf4j:slf4j-api

[Error]
1.5.3
    org.apache.commons:commons-build-plugin:maven-plugin:1.8-SNAPSHOT
    \- org.apache.maven:maven-script-ant:jar:2.2.1:compile
       \- org.apache.maven:maven-core:jar:2.2.1:compile
          \- org.apache.maven.wagon:wagon-webdav-jackrabbit:jar:1.0-beta-6:runtime
             +- org.apache.jackrabbit:jackrabbit-webdav:jar:1.5.0:runtime
             |  \- (org.slf4j:slf4j-api:jar:1.5.3:runtime - omitted for conflict with 1.5.6)
             \- org.slf4j:slf4j-nop:jar:1.5.3:runtime
                \- (org.slf4j:slf4j-api:jar:1.5.3:runtime - omitted for duplicate)

1.5.6
    org.apache.commons:commons-build-plugin:maven-plugin:1.8-SNAPSHOT
    \- org.apache.maven:maven-script-ant:jar:2.2.1:compile
       \- org.apache.maven:maven-core:jar:2.2.1:compile
          \- org.slf4j:slf4j-jdk14:jar:1.5.6:runtime
             \- org.slf4j:slf4j-api:jar:1.5.6:runtime